Bug 176945 - Installer prompts for DHCP twice in "Configure TCP/IP" during NFS install
Installer prompts for DHCP twice in "Configure TCP/IP" during NFS install
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 11:33 EST by Ryan Daly
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 10:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Daly 2006-01-04 11:33:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
This also happens in RHEL 3...  When the installer wants to grab an IP address, it first tries DHCP.  That's fine.  But, the problem comes in when it prompts you to enter the TCP/IP configuration.  You go to enter the data, and it still attempts to grab an IP address from DHCP.  The 2nd time around is when the manually entered IP address actually takes effect.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Linux (Text or Graphical)
2. Specify NFS install
3. When it goes to grab an IP address, if the underlying network doesn't have DHCP, it prompts 2 times for an IP to use.
  

Actual Results:  The installation continues as normal.

Expected Results:  Shouldn't prompt twice for an IP address.

Additional info:
Comment 1 Jeremy Katz 2006-01-05 23:02:39 EST
I don't see this here -- are you doing a kickstart install?
Comment 2 Ryan Daly 2006-01-06 09:19:43 EST
Yes, I'm sorry for not specifying that.  I am doing a kickstart install.

My boot line is:

linux ks=nfs:IP:/path/to/ks.cfg

Thanks.
Comment 3 Jeremy Katz 2006-01-06 10:22:54 EST
The asking twice is intentional then so that you can use a different IP for
getting the ks.cfg as is used for the install
Comment 4 Ryan Daly 2006-01-06 10:27:36 EST
I'm not following...  Why would the installer ask me twice to define its own IP
address?  It's not asking me twice where the ks.cfg file is, it's asking me
twice what the IP address should be of the host I'm installing.

It's redundant in the spot where it's asking...

Note You need to log in before you can comment on or make changes to this bug.